Evaluations - Update
Updates the mutable details of the evaluation identified by its id.
PATCH {endpoint}/speechtotext/evaluations/{id}?api-version=2025-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
id
|
path | True |
string (uuid) |
The identifier of the evaluation. |
|
api-version
|
query | True |
string |
The requested api version. |
Request Header
Media Types: "application/json", "application/merge-patch+json"
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Provide your cognitive services account key here. |
Request Body
Media Types: "application/json", "application/merge-patch+json"
| Name | Type | Description |
|---|---|---|
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
| description |
string |
The description of the object. |
| displayName |
string |
The name of the object. |
| project |
EntityReference |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Headers Retry-After: integer |
|
| Other Status Codes |
An error occurred. |
Security
Ocp-Apim-Subscription-Key
Provide your cognitive services account key here.
Type:
apiKey
In:
header
Examples
Update a evaluation
Sample request
PATCH {endpoint}/speechtotext/evaluations/1c50ce42-6ab7-454f-8c39-54a752d1a5b6?api-version=2025-10-15
{
"displayName": "Updated evaluation",
"description": "Updated evaluation description"
}
Sample response
{
"displayName": "Evalution of one model against another model",
"description": "The description of the evaluation",
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/evaluations/1c50ce42-6ab7-454f-8c39-54a752d1a5b6?api-version=2025-10-15",
"createdDateTime": "2019-01-07T11:34:12Z",
"lastActionDateTime": "2019-01-07T11:36:07Z",
"model1": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/base/8a043172-65b7-4cf3-a8b5-4449efa5a0f1?api-version=2025-10-15"
},
"model2": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/827712a5-f942-4997-91c3-7c6cde35600b?api-version=2025-10-15"
},
"dataset": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/datasets/9d5f4100-5f8e-4dd6-bd83-9bbbf50d57f1?api-version=2025-10-15"
},
"transcription1": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/transcriptions/ba7ea6f5-3065-40b7-b49a-a90f48584683?api-version=2025-10-15"
},
"transcription2": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/transcriptions/ad86d0c9-af6d-4d14-a621-c60d7d65b74f?api-version=2025-10-15"
},
"links": {
"files": "https://westus.api.cognitive.microsoft.com/speechtotext/evaluations/00000000-0000-0000-0000-000000000000/files?api-version=2025-10-15"
},
"locale": "en-US",
"properties": {
"wordErrorRate1": 0.065,
"sentenceErrorRate1": 0.375,
"tokenErrorRate1": 0.125,
"sentenceCount1": 8,
"wordCount1": 46,
"correctWordCount1": 43,
"wordSubstitutionCount1": 3,
"wordDeletionCount1": 0,
"wordInsertionCount1": 0,
"tokenCount1": 48,
"correctTokenCount1": 42,
"tokenSubstitutionCount1": 6,
"tokenDeletionCount1": 0,
"tokenInsertionCount1": 0,
"tokenErrors1": {
"punctuation": {
"numberOfEdits": 2,
"percentageOfAllEdits": 0.66
},
"capitalization": {
"numberOfEdits": 1,
"percentageOfAllEdits": 0.33
}
},
"wordErrorRate2": 0.065,
"sentenceErrorRate2": 0.375,
"tokenErrorRate2": 0.125,
"sentenceCount2": 8,
"wordCount2": 46,
"correctWordCount2": 43,
"wordSubstitutionCount2": 3,
"wordDeletionCount2": 0,
"wordInsertionCount2": 0,
"tokenCount2": 48,
"correctTokenCount2": 42,
"tokenSubstitutionCount2": 6,
"tokenDeletionCount2": 0,
"tokenInsertionCount2": 0,
"tokenErrors2": {
"punctuation": {
"numberOfEdits": 208,
"percentageOfAllEdits": 1.22
},
"capitalization": {
"numberOfEdits": 126,
"percentageOfAllEdits": 0.74
},
"inverseTextNormalization": {
"numberOfEdits": 409,
"percentageOfAllEdits": 2.4
},
"lexical": {
"numberOfEdits": 16284,
"percentageOfAllEdits": 95.41
},
"others": {
"numberOfEdits": 41,
"percentageOfAllEdits": 0.24
}
}
},
"status": "Succeeded"
}
Definitions
| Name | Description |
|---|---|
|
Detailed |
DetailedErrorCode |
|
Edits |
EditsSummary |
|
Entity |
EntityError |
|
Entity |
EntityReference |
| Error |
Error |
|
Error |
ErrorCode |
| Evaluation |
Evaluation |
|
Evaluation |
EvaluationLinks |
|
Evaluation |
EvaluationProperties |
|
Evaluation |
EvaluationUpdate |
|
Inner |
InnerError |
| Status |
Status |
|
Token |
TokenErrorDetails |
DetailedErrorCode
DetailedErrorCode
| Value | Description |
|---|---|
| InvalidParameterValue |
Invalid parameter value. |
| InvalidRequestBodyFormat |
Invalid request body format. |
| EmptyRequest |
Empty Request. |
| MissingInputRecords |
Missing Input Records. |
| InvalidDocument |
Invalid Document. |
| ModelVersionIncorrect |
Model Version Incorrect. |
| InvalidDocumentBatch |
Invalid Document Batch. |
| UnsupportedLanguageCode |
Unsupported language code. |
| DataImportFailed |
Data import failed. |
| InUseViolation |
In use violation. |
| InvalidLocale |
Invalid locale. |
| InvalidBaseModel |
Invalid base model. |
| InvalidAdaptationMapping |
Invalid adaptation mapping. |
| InvalidDataset |
Invalid dataset. |
| InvalidTest |
Invalid test. |
| FailedDataset |
Failed dataset. |
| InvalidModel |
Invalid model. |
| InvalidTranscription |
Invalid transcription. |
| InvalidPayload |
Invalid payload. |
| InvalidParameter |
Invalid parameter. |
| EndpointWithoutLogging |
Endpoint without logging. |
| InvalidPermissions |
Invalid permissions. |
| InvalidPrerequisite |
Invalid prerequisite. |
| InvalidProductId |
Invalid product id. |
| InvalidSubscription |
Invalid subscription. |
| InvalidProject |
Invalid project. |
| InvalidProjectKind |
Invalid project kind. |
| InvalidRecordingsUri |
Invalid recordings uri. |
| OnlyOneOfUrlsOrContainerOrDataset |
Only one of urls or container or dataset. |
| ExceededNumberOfRecordingsUris |
Exceeded number of recordings uris. |
| InvalidChannels |
Invalid channels. |
| ModelMismatch |
Model mismatch. |
| ProjectGenderMismatch |
Project gender mismatch. |
| ModelDeprecated |
Model deprecated. |
| ModelExists |
Model exists. |
| ModelNotDeployable |
Model not deployable. |
| EndpointNotUpdatable |
Endpoint not updatable. |
| SingleDefaultEndpoint |
Single default endpoint. |
| EndpointCannotBeDefault |
Endpoint cannot be default. |
| InvalidModelUri |
Invalid model uri. |
| SubscriptionNotFound |
Subscription not found. |
| QuotaViolation |
Quota violation. |
| UnsupportedDelta |
Unsupported delta. |
| UnsupportedFilter |
Unsupported filter. |
| UnsupportedPagination |
Unsupported pagination. |
| UnsupportedDynamicConfiguration |
Unsupported dynamic configuration. |
| UnsupportedOrderBy |
Unsupported order by. |
| NoUtf8WithBom |
No utf8 with bom. |
| ModelDeploymentNotCompleteState |
Model deployment not complete state. |
| SkuLimitsExist |
Sku limits exist. |
| DeployingFailedModel |
Deploying failed model. |
| UnsupportedTimeRange |
Unsupported time range. |
| InvalidLogDate |
Invalid log date. |
| InvalidLogId |
Invalid log id. |
| InvalidLogStartTime |
Invalid log start time. |
| InvalidLogEndTime |
Invalid log end time. |
| InvalidTopForLogs |
Invalid top for logs. |
| InvalidSkipTokenForLogs |
Invalid skip token for logs. |
| DeleteNotAllowed |
Delete not allowed. |
| Forbidden |
Forbidden. |
| DeployNotAllowed |
Deploy not allowed. |
| UnexpectedError |
Unexpected error. |
| InvalidCollection |
Invalid collection. |
| InvalidCallbackUri |
Invalid callback uri. |
| InvalidSasValidityDuration |
Invalid sas validity duration. |
| InaccessibleCustomerStorage |
Inaccessible customer storage. |
| UnsupportedClassBasedAdaptation |
Unsupported class based adaptation. |
| InvalidWebHookEventKind |
Invalid web hook event kind. |
| InvalidTimeToLive |
Invalid time to live. |
| InvalidSourceAzureResourceId |
Invalid source Azure resource ID. |
| ModelCopyAuthorizationExpired |
Expired ModelCopyAuthorization. |
| EndpointLoggingNotSupported |
Endpoint logging not supported. |
| NoLanguageIdentified |
Language Identification did not recognize any language. |
| MultipleLanguagesIdentified |
Language Identification recognized multiple languages. No dominant language could be determined. |
| InvalidAudioFormat |
The format of input audio is not supported. |
| BadChannelConfiguration |
There is a mismatch between audio channels in the data, in the configuration, or the requirements of the application. |
| InvalidChannelSpecification |
The selection of channels in the transcription request is not supported (e.g., neither 0 nor 1 have been selected.) |
| AudioLengthLimitExceeded |
The audio file is longer than the maximum allowed duration. |
| EmptyAudioFile |
The audio file is empty. |
EditsSummary
EditsSummary
| Name | Type | Description |
|---|---|---|
| numberOfEdits |
integer (int32) |
The optional number of edits for a given type of error of the recognized transcription in comparison with the human transcription. |
| percentageOfAllEdits |
number (double) |
The optional percentage of edits for a given type of error of the recognized transcription in comparison with the human transcription. |
EntityError
EntityError
| Name | Type | Description |
|---|---|---|
| code |
string |
The code of this error. |
| message |
string |
The message for this error. |
EntityReference
EntityReference
| Name | Type | Description |
|---|---|---|
| self |
string (uri) |
The location of the referenced entity. |
Error
Error
| Name | Type | Description |
|---|---|---|
| code |
ErrorCode |
|
| details |
Error[] |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ErrorCode
ErrorCode
| Value | Description |
|---|---|
| InvalidRequest |
Representing the invalid request error code. |
| InvalidArgument |
Representing the invalid argument error code. |
| InternalServerError |
Representing the internal server error error code. |
| ServiceUnavailable |
Representing the service unavailable error code. |
| NotFound |
Representing the not found error code. |
| PipelineError |
Representing the pipeline error error code. |
| Conflict |
Representing the conflict error code. |
| InternalCommunicationFailed |
Representing the internal communication failed error code. |
| Forbidden |
Representing the forbidden error code. |
| NotAllowed |
Representing the not allowed error code. |
| Unauthorized |
Representing the unauthorized error code. |
| UnsupportedMediaType |
Representing the unsupported media type error code. |
| TooManyRequests |
Representing the too many requests error code. |
| UnprocessableEntity |
Representing the unprocessable entity error code. |
Evaluation
Evaluation
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
The time-stamp when the object was created. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
| dataset |
EntityReference |
|
| description |
string |
The description of the object. |
| displayName |
string minLength: 1 |
The display name of the object. |
| lastActionDateTime |
string (date-time) |
The time-stamp when the current status was entered. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| links |
EvaluationLinks |
|
| locale |
string minLength: 1 |
The locale of the contained data. |
| model1 |
EntityReference |
|
| model2 |
EntityReference |
|
| project |
EntityReference |
|
| properties |
EvaluationProperties |
|
| self |
string (uri) |
The location of this entity. |
| status |
Status |
|
| transcription1 |
EntityReference |
|
| transcription2 |
EntityReference |
EvaluationLinks
EvaluationLinks
| Name | Type | Description |
|---|---|---|
| files |
string (uri) |
The location to get all files of this entity. See operation "Evaluations_ListFiles" for more details. |
EvaluationProperties
EvaluationProperties
| Name | Type | Description |
|---|---|---|
| correctTokenCount1 |
integer (int32) |
The optional number of correctly recognized tokens by model1. |
| correctTokenCount2 |
integer (int32) |
The optional number of correctly recognized tokens by model2. |
| correctWordCount1 |
integer (int32) |
The number of correctly recognized words by model1. |
| correctWordCount2 |
integer (int32) |
The number of correctly recognized words by model2. |
| error |
EntityError |
|
| sentenceCount1 |
integer (int32) |
The number of processed sentences by model1. |
| sentenceCount2 |
integer (int32) |
The number of processed sentences by model2. |
| sentenceErrorRate1 |
number (double) |
The sentence error rate of recognition with model1. |
| sentenceErrorRate2 |
number (double) |
The sentence error rate of recognition with model2. |
| tokenCount1 |
integer (int32) |
The optional number of processed tokens by model1. |
| tokenCount2 |
integer (int32) |
The optional number of processed tokens by model2. |
| tokenDeletionCount1 |
integer (int32) |
The optional number of recognized tokens by model1, that are deletions. |
| tokenDeletionCount2 |
integer (int32) |
The optional number of recognized tokens by model2, that are deletions. |
| tokenErrorRate1 |
number (double) |
The optional token error rate of recognition with model1. |
| tokenErrorRate2 |
number (double) |
The optional token error rate of recognition with model2. |
| tokenErrors1 |
TokenErrorDetails |
|
| tokenErrors2 |
TokenErrorDetails |
|
| tokenInsertionCount1 |
integer (int32) |
The optional number of recognized tokens by model1, that are insertions. |
| tokenInsertionCount2 |
integer (int32) |
The optional number of recognized tokens by model2, that are insertions. |
| tokenSubstitutionCount1 |
integer (int32) |
The optional number of recognized tokens by model1, that are substitutions. |
| tokenSubstitutionCount2 |
integer (int32) |
The optional number of recognized tokens by model2, that are substitutions. |
| wordCount1 |
integer (int32) |
The number of processed words by model1. |
| wordCount2 |
integer (int32) |
The number of processed words by model2. |
| wordDeletionCount1 |
integer (int32) |
The number of recognized words by model1, that are deletions. |
| wordDeletionCount2 |
integer (int32) |
The number of recognized words by model2, that are deletions. |
| wordErrorRate1 |
number (double) |
The word error rate of recognition with model1. |
| wordErrorRate2 |
number (double) |
The word error rate of recognition with model2. |
| wordInsertionCount1 |
integer (int32) |
The number of recognized words by model1, that are insertions. |
| wordInsertionCount2 |
integer (int32) |
The number of recognized words by model2, that are insertions. |
| wordSubstitutionCount1 |
integer (int32) |
The number of recognized words by model1, that are substitutions. |
| wordSubstitutionCount2 |
integer (int32) |
The number of recognized words by model2, that are substitutions. |
EvaluationUpdate
EvaluationUpdate
| Name | Type | Description |
|---|---|---|
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
| description |
string |
The description of the object. |
| displayName |
string |
The name of the object. |
| project |
EntityReference |
InnerError
InnerError
| Name | Type | Description |
|---|---|---|
| code |
DetailedErrorCode |
|
| details |
object |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
Status
Status
| Value | Description |
|---|---|
| NotStarted |
The long running operation has not yet started. |
| Running |
The long running operation is currently processing. |
| Succeeded |
The long running operation has successfully completed. |
| Failed |
The long running operation has failed. |
TokenErrorDetails
TokenErrorDetails
| Name | Type | Description |
|---|---|---|
| capitalization |
EditsSummary |
|
| inverseTextNormalization |
EditsSummary |
|
| lexical |
EditsSummary |
|
| others |
EditsSummary |
|
| punctuation |
EditsSummary |